<h1>New User Creation</h1>

<%= form_with scope: :user, url: users_path, local: true do |form| %>

  <% if @user.errors.any? %>
    <div id="error_explanation">
      <h2>
        <%= pluralize(@user.errors.count, "field") %>  need to be amended before your user can be created:
      </h2>
      <ul>
        <% @user.errors.full_messages.each do |msg| %>
          <li><%= msg %></li>
        <% end %>
      </ul>
    </div>
  <% end %>
  <p>
    <%= form.label :username %><br>
    <%= form.text_field :username %>
  </p>

  <p>
    <%= form.label :name %><br>
    <%= form.text_field :name %>
  </p>

  <p>
    <%= form.submit %>
  </p>

<% end %>
<%= render 'shared/nav' %>
